AntiFeatures:
  - NonFreeAssets
  - NonFreeNet
Categories:
  - Internet
  - Science & Education
License: MIT
AuthorName: UGent - Dienst StudentenActiviteiten
AuthorEmail: hydra@zeus.ugent.be
AuthorWebSite: https://dsa.ugent.be
WebSite: https://hydra.ugent.be
SourceCode: https://github.com/ZeusWPI/hydra-android
IssueTracker: https://github.com/ZeusWPI/hydra-android/issues
Changelog: https://github.com/ZeusWPI/hydra-android/releases

AutoName: Hydra

RepoType: git
Repo: https://github.com/ZeusWPI/hydra-android

Builds:
  - versionName: 3.3.1-open
    versionCode: 33010
    commit: '33010'
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - open

  - versionName: 3.3.2-open
    versionCode: 33020
    commit: 3fe959f0e583140b2f62df65b8138d7db121241e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - open

  - versionName: 3.4.0-open
    versionCode: 34000
    commit: a39a5f7fda858335a0fefac08a0c30d8ddc0f160
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - open
    prebuild: sed -i -e '/google-services/d' -e '/firebase-crashlytics/d' -e '/firebase.crashlytics/d'
      -e '/enableCrashlytics/d' -e '/firebaseCrashlytics/,+2d' -e '/Disable Google/,+4d'
      build.gradle ../build.gradle

  - versionName: 3.5.0-open
    versionCode: 35000
    commit: 4efebec89f3635dc8109d19ac9924958debbb552
    subdir: app
    gradle:
      - open
    prebuild: sed -i -e '/google-services/d' -e '/firebase-crashlytics/d' -e '/firebase.crashlytics/d'
      -e '/enableCrashlytics/d' -e '/firebaseCrashlytics/,+2d' -e '/Disable Google/,+4d'
      build.gradle ../build.gradle

  - versionName: 3.6.0-open
    versionCode: 36000
    commit: 822a087348674e9174402356cb75f3f034152418
    subdir: app
    gradle:
      - open
    prebuild: sed -i -e '/google-services/d' -e '/firebase-crashlytics/d' -e '/firebase.crashlytics/d'
      -e '/enableCrashlytics/d' -e '/firebaseCrashlytics/,+2d' -e '/Disable Google/,+4d'
      build.gradle ../build.gradle

  - versionName: 3.6.1-open
    versionCode: 36100
    commit: 994d7a2a5913c5155086b7cc03e6a363fe8cecce
    subdir: app
    gradle:
      - open
    prebuild: sed -i -e '/google-services/d' -e '/firebase-crashlytics/d' -e '/firebase.crashlytics/d'
      -e '/enableCrashlytics/d' -e '/firebaseCrashlytics/,+2d' -e '/Disable Google/,+4d'
      build.gradle ../build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 3.6.1-open
CurrentVersionCode: 36100
